#!/bin/bash
. shell-config
# 1. age created user

lastuser=`tail -1 /mnt/destination/etc/passwd | cut -f1 -d":"` ||:
chroot /mnt/destination chage -d 0 "$lastuser" ||:
chroot /mnt/destination chage -d 0 root ||:

# 2. change umask to 077
#perl -pi -e 's/\Qumask 022/umask 077/' /mnt/destination/etc/profile ||:
#shell_config_del /mnt/destination/etc/profile umask  ||:
shell_config_set /mnt/destination/etc/profile umask 077 " " " "||:

# 3. remove browsing from cups
#perl -pi -e 's/\Q# BrowseAllow All/BrowseAllow none/' /mnt/destination/etc/cups/cups-browsed.conf ||:
#shell_config_del /mnt/destination/etc/cups/cups-browsed.conf BrowseAllow " " ||:
shell_config_set /mnt/destination/etc/cups/cups-browsed.conf BrowseAllow none " " " "||:

# 4. disable password auth in ssh
#perl -pi -e 's/\Q#PasswordAuthentication yes/PasswordAuthentication no/' /mnt/destination/etc/openssh/sshd_config ||:
#shell_config_del /mnt/destination/etc/openssh/sshd_config PasswordAuthentication ||:
shell_config_set /mnt/destination/etc/openssh/sshd_config PasswordAuthentication no " " " " ||:

# 5. ensure limits on password quality

shell_config_del /mnt/destination/etc/passwdqc.conf enforce ||:
shell_config_del /etc/passwdqc.conf min ||:
